function J = computeCostMulti(X, y, theta)
%COMPUTECOSTMULTI Compute cost for linear regression with multiple variables
%   J = COMPUTECOSTMULTI(X, y, theta) computes the cost of using theta as the
%   parameter for linear regression to fit the data points in X and y

% Initialize some useful values
m = length(y); % number of training examples

% You need to return the following variables correctly 
J = 0;

% ====================== YOUR CODE HERE ======================
% Instructions: Compute the cost of a particular choice of theta
%               You should set J to the cost.


% Our guess, h, for the linear regression.
% X is 97x2
% Theta is 2x1
% h will be 97x1
h = X * theta;

% Do h - y
inner = h - y;

% Square each element in this matrix
inner = inner .^ 2;

% Sum up all the elements.
thesum = sum(inner);

% The calculated J
J = (1/(2*m))*thesum;


% =========================================================================

end
